"use strict";
const jsxRuntime = require("react/jsx-runtime");
const styles_lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const styles_lib_components_Accordion_Accordion_cjs = require("../Accordion/Accordion.cjs");
const styles_lib_components_ContentBlock_ContentBlock_css_cjs = require("./ContentBlock.css.cjs");
const ContentBlock = ({
  width = "medium",
  data,
  children,
  ...restProps
}) => /* @__PURE__ */ jsxRuntime.jsx(
  styles_lib_components_Box_Box_cjs.Box,
  {
    width: "full",
    maxWidth: width,
    className: styles_lib_components_ContentBlock_ContentBlock_css_cjs.marginAuto,
    ...styles_lib_components_Accordion_Accordion_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
    children
  }
);
exports.ContentBlock = ContentBlock;
